{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":573,"path":"api-reference/rest-apis/wsd_extra_service-api.md","title":"WSD Extra Service API","bundle":null,"doc_type":null,"release":"australia","body":"\n# WSD Extra Service API\n\nThe Workplace Service Delivery \\(WSD\\) Extra Service API provides endpoints to retrieve extra services, such as location layouts and standard services of a workplace location.\n\nTo access this API, the caller must have the sn\\_wsd\\_core.workplace\\_user role.\n\nThis API runs in the `sn_wsd_rsv` namespace. To access this API the Workplace Reservation Management \\(sn\\_wsd\\_rsv\\) plugin must be activated.\n\nFor additional information on Workplace Reservation Management, see [Workplace Reservation Management](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/workplace-rsv-mgmt-feat.md).\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## WSD Extra Service Request - PATCH /api/sn\\_wsd\\_rsv/wsd\\_extra\\_service\\_request/reservation/\\{sys\\_id\\}\n\nReturns the extra service requests that are associated to a single reservation.\n\n**Note:** This endpoint does not work for group or multi reservations.\n\n### URL format\n\nVersioned URL: `/api/sn_wsd_rsv/{api_version}/wsd_extra_service_request/reservation/{sys_id}`\n\nDefault URL: `/api/sn_wsd_rsv/wsd_extra_service_request/reservation/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the reservation record for which to return the extra service request details.Data type: String\n\nTable: Workplace Reservation \\[sn\\_wsd\\_rsv\\_reservation\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. Reservation sys\\_id is missing, invalid, or does not exist.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nDetails about the specified extra service request.Data type: Object\n\n```\n\"result\": {\n  \"reservableId\": \"String\",\n  \"reservationId\": \"String\",\n  \"serviceCategories\": {Object},\n  \"serviceTimes\": {Object}\n}\n```\n\n</td></tr><tr><td>\n\nresult.reservableId\n\n</td><td>\n\nSys\\_id of the workplace location that the reservation is created against.\n\nData type: String\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_workplace\\_location\\]\n\n</td></tr><tr><td>\n\nresult.reservationId\n\n</td><td>\n\nSys\\_id of the reservation for which to return the extra service request details. Data type: String\n\nTable: Workplace Reservation \\[sn\\_wsd\\_rsv\\_reservation\\].\n\n</td></tr><tr><td>\n\nresult.serviceCategories\n\n</td><td>\n\nDetails about the service category of the associated extra services.Data type: Object\n\n```\n\"serviceCategories\": {\n  \"String\": {\n    \"categoryFriendlyName\": \"String\",\n    \"categoryCurrencyCode\": \"String\",\n    \"comment\": \"String\",\n    \"flexibleServices\": [Array],\n    \"serviceTimes\": {Object}\n  }\n}\n```\n\n</td></tr><tr><td>\n\nresult.serviceCategories.categoryFriendly​Name\n\n</td><td>\n\nUser friendly name of the category of the workplace service or extra service, such as Space arrangement. Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.​categoryCurrencyCode\n\n</td><td>\n\nCurrency code used to calculate the cost of the workplace service item or extra service.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.comment\n\n</td><td>\n\nComments about the service category.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices\n\n</td><td>\n\nDetails about each of the workplace service items or extra service requested for the reservation.Data type: Array of Objects\n\n```\n\"flexibleServices\": [\n  {\n    \"capacity\": Number,\n    \"capacityEnabled\": Boolean,\n    \"category\": \"String\",\n    \"categoryComment\": \"String\",\n    \"categoryFriendlyName\": \"String\",\n    \"comment\": \"String\",\n    \"currencyCode\": \"String\",\n    \"deliveryTime\": \"String\",\n    \"flexibleServiceId\": \"String\",\n    \"flexibleServiceName\": \"String\",\n    \"maxCapacity\": Number,\n    \"quantity\": Number,\n    \"quantityEnabled\": Boolean,\n    \"requestId\": \"String\",\n    \"serviceItemImage\": \"String\",\n    \"servicePrice\": Number,\n    \"serviceTimes\": {Object},\n    \"state\": {Object},\n    \"subCategory\": {Object},\n    \"totalPrice\": Number,\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​capacity\n\n</td><td>\n\nCapacity requested when requesting the workplace service item.Data type: Number\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​capacityEnabled\n\n</td><td>\n\nFlag that indicates whether the user creating the reservation can specify the capacity of the workplace.Possible values:\n\n-   true: User can specify the capacity.\n-   false: User can't specify the capacity.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​category\n\n</td><td>\n\nSys\\_id of the category of the workplace service or extra service associated with the reservation.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​categoryComment\n\n</td><td>\n\nAdditional comments about the category.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​categoryFriendlyName\n\n</td><td>\n\nUser friendly name of the category of the workplace service or extra service, such as Space arrangement.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​comment\n\n</td><td>\n\nAdditional comments about the workplace service item or extra service.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​currencyCode\n\n</td><td>\n\nCurrency code used to calculate the cost of the associated workplace service item or extra service.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​deliveryTime\n\n</td><td>\n\nDelivery time of the workplace service item or extra service.\n\nData type: String\n\nFormat: UTC - yyyy-mm-ddThh:mm:ssZ, such as 2021-02-05T18:00:00Z\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​flexibleServiceId\n\n</td><td>\n\nSys\\_id of the extra service or workplace service item.\n\nData type: String\n\nTable: Workplace Service Item \\[sn\\_wsd\\_case\\_workplace\\_service\\_item\\]\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​flexibleServiceName\n\n</td><td>\n\nName of the associated extra service or workplace service item.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​maxCapacity\n\n</td><td>\n\nMaximum capacity of the workplace that can be requested.Data type: Number\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​quantity\n\n</td><td>\n\nNumber of extra service items requested.\n\nData type: Number\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​quantityEnabled\n\n</td><td>\n\nFlag that indicates whether the user creating the reservation can specify the quantity of service items.Possible values:\n\n-   true: User can specify the quantity.\n-   false: User can't specify the quantity.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​requestId\n\n</td><td>\n\nSys\\_id of the extra service or workplace service item.Data type: String\n\nTable: Request Service \\[sn\\_wsd\\_case\\_service\\_item\\_request\\]\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​serviceItemImage\n\n</td><td>\n\nFile name of the thumbnail image of the workplace service item.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​servicePrice\n\n</td><td>\n\nCost of the workplace service item or extra service.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​serviceTimes\n\n</td><td>\n\nDetails about the time it takes to prepare and cleanup the workplace service item.Data type: Object\n\n```\n\"serviceTimes\": {\n  \"endCleanup\": \"String\",\n  \"endPreparation\": \"String\",\n  \"startCleanup\": \"String\",\n  \"startPreparation\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​serviceTimes.endCleanup\n\n</td><td>\n\nDate and time when the clean-up of the workplace service item will end.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​serviceTimes.endPreparation\n\n</td><td>\n\nDate and time when the preparation of the workplace service item will end.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​serviceTimes.startCleanup\n\n</td><td>\n\nDate and time when the clean-up of the workplace service item will start.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​serviceTimes.startPreparation\n\n</td><td>\n\nDate and time when the preparation of the workplace service item will start.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.state\n\n</td><td>\n\nDetails about the current state of the associated workplace service item.Data type: Object\n\n```\n\"state\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.state.​display\\_value\n\n</td><td>\n\nDisplay value of the state of the workplace service item, such as Open.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.state.​value\n\n</td><td>\n\nInternal value of the state of the workplace service item, such as Open.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​subCategory\n\n</td><td>\n\nDetails about the subcategory of the associated workplace service item.Data type: Object\n\n```\n\"subCategory\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​subCategory.display\\_value\n\n</td><td>\n\nDisplay value of the subCategory for the workplace service item or extra service, such as such as chair layout, drinks, or IT support.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​subCategory.value\n\n</td><td>\n\nInternal value of the subcategory of the workplace service item or extra service, such as chair\\_layout, drinks, or IT\\_support.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceCategories.flexibleServices.​total\\_price\n\n</td><td>\n\nTotal cost of the workplace service item or extra service for the reservation.Data type: Number\n\n</td></tr><tr><td>\n\nresult.serviceTimes\n\n</td><td>\n\nDetails about the time it takes to prepare and cleanup the workplace service item.Data type: Object\n\n```\n\"serviceTimes\": {\n  \"endCleanup\": \"String\",\n  \"endPreparation\": \"String\",\n  \"startCleanup\": \"String\",\n  \"startPreparation\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.serviceTimes.endCleanup\n\n</td><td>\n\nDate and time when the clean up of the workplace service item will end.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceTimes.endPreparation\n\n</td><td>\n\nDate and time when the preparation of the workplace service item will end.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceTimes.startCleanup\n\n</td><td>\n\nDate and time when the clean up of the workplace service item will start.Data type: String\n\n</td></tr><tr><td>\n\nresult.serviceTimes.startPreparation\n\n</td><td>\n\nDate and time when the preparation of the workplace service item will start.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis code example shows how to request the details of the extra services or workplace service items for a reservation.\n\n```\ncurl \"http://instance.servicenow.com/api/sn_wsd_rsv/wsd_extra_service_request/reservation/383e36c1536f01103cf7ddeeff7b1245\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\": \"password\"\n```\n\nReturn results:\n\n```\n{\n  \"result\": {\n    \"reservationId\": \"383e36c1536f01103cf7ddeeff7b1245\",\n    \"serviceTimes\": {\n      \"startPreparation\": \"2022-05-17T11:45:00ZZ\",\n      \"endPreparation\": \"2022-05-17T12:00:00ZZ\",\n      \"startCleanup\": \"2022-05-17T13:00:00ZZ\",\n      \"endCleanup\": \"2022-05-17T13:15:00ZZ\"\n    },\n    \"reservableId\": \"02000d4edb7650106c731dcd13961914\",\n    \"serviceCategories\": {\n      \"50723fbf07100110c9b36b6e0ad300b4\": {\n        \"serviceTimes\": {\n          \"startPreparation\": \"2022-05-17T11:45:00Z\",\n          \"endPreparation\": \"2022-05-17T12:00:00Z\",\n          \"startCleanup\": \"2022-05-17T13:00:00Z\",\n          \"endCleanup\": \"2022-05-17T13:15:00Z\"\n        },\n        \"flexibleServices\": [\n          {\n            \"requestId\": \"743eb605536f01103cf7ddeeff7b126b\",\n            \"category\": \"50723fbf07100110c9b36b6e0ad300b4\",\n            \"categoryComment\": \"test2\",\n            \"subCategory\": {\n              \"value\": \"chair_layout\",\n              \"display_value\": \"Chair layout\"\n            },\n            \"categoryFriendlyName\": \"Space arrangement\",\n            \"servicePrice\": 0,\n            \"serviceItemImage\": \"4c6a0d7107600110c9b36b6e0ad300fc.iix\",\n            \"currencyCode\": \"GBP\",\n            \"totalPrice\": 0,\n            \"flexibleServiceId\": \"21e2c08407600110c9b36b6e0ad3007c\",\n            \"flexibleServiceName\": \"Theater Style\",\n            \"deliveryTime\": \"2022-05-17 12:00:00\",\n            \"comment\": \"test1\",\n            \"quantity\": 1,\n            \"capacity\": 1,\n            \"quantityEnabled\": false,\n            \"capacityEnabled\": true,\n            \"maxCapacity\": null,\n            \"state\": {\n              \"value\": \"2\",\n              \"display_value\": \"Work in Progress\"\n            },\n            \"serviceTimes\": {\n              \"startPreparation\": \"2022-05-17T11:45:00Z\",\n              \"endPreparation\": \"2022-05-17T12:00:00Z\",\n              \"startCleanup\": \"2022-05-17T13:00:00Z\",\n              \"endCleanup\": \"2022-05-17T13:15:00Z\"\n            }\n          }\n        ],\n        \"comment\": \"test2\",\n        \"categoryFriendlyName\": \"Space arrangement\",\n        \"categoryCurrencyCode\": \"GBP\"\n      }\n    }\n  }\n}\n```\n\n## WSD Extra Service Request - PATCH /api/sn\\_wsd\\_rsv/wsd\\_extra\\_service\\_request/submit\n\nAdds an new or updates an existing extra service request to a specified single reservation.\n\n**Note:** This endpoint does not work for group or multi reservations.\n\n### URL format\n\nVersioned URL: `/api/sn_wsd_rsv/{api_version}/wsd_extra_service_request/submit`\n\nDefault URL: `/api/sn_wsd_rsv/wsd_extra_service_request/submit`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nreservationDateTimeChanged\n\n</td><td>\n\nFlag that indicates whether the reservation date and time has changed.Valid values:\n\n-   true: The reservation date and time was changed.\n-   false: The reservation date and time wasn't changed.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nreservableId\n\n</td><td>\n\nRequired.Sys\\_id of the workplace location that the reservation is created against.\n\nData type: String\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_workplace\\_location\\]\n\n</td></tr><tr><td>\n\nreservationId\n\n</td><td>\n\nRequired. Sys\\_id of the reservation for which to add the extra service requests.Data type: String\n\nTable: Workplace Reservation \\[sn\\_wsd\\_rsv\\_reservation\\]\n\n</td></tr><tr><td>\n\nserviceCategories\n\n</td><td>\n\nRequired. List of workplace service items or extra services to add to the reservation.Data type: Array of Objects\n\n```\n\"serviceCategories\": [\n  {\n    \"category\": \"String\",\n    \"comment\": \"String\",\n    \"flexibleServices\": [Array]\n  }\n]\n```\n\n</td></tr><tr><td>\n\nserviceCategories.category\n\n</td><td>\n\nRequired. Sys\\_id or name of the workplace service to add to the reservation.Data type: String\n\nTable: Workplace Service \\[sn\\_wsd\\_case\\_workplace\\_service\\]\n\n</td></tr><tr><td>\n\nserviceCategories.comment\n\n</td><td>\n\nRequired. Comments about the service category.\n\nData type: String\n\n</td></tr><tr><td>\n\nserviceCategories.flexibleServices\n\n</td><td>\n\nRequired. Details about each of the workplace service items or extra service to add to or cancel from the reservation.Data type: Array of Objects\n\n```\n\"flexibleServices\": [\n  {\n    \"cancelFlag\": Boolean,\n    \"comment\": \"String\",\n    \"deliveryTime\": \"String\",\n    \"extraServiceRequestId\": \"String\",\n    \"flexibleServiceId\": \"String\",\n    \"quantity\": Number\n  }\n]\n```\n\n</td></tr><tr><td>\n\nserviceCategories.flexibleServices.cancelFlag\n\n</td><td>\n\nFlag that indicates whether to cancel the specified extra service request.Possible values:\n\n-   true: Delete the associated extra service request.\n-   false: No operation.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nserviceCategories.flexibleServices.comment\n\n</td><td>\n\nRequired.Additional comments about the workplace service item or extra service.\n\nData type: String\n\n</td></tr><tr><td>\n\nserviceCategories.flexibleServices.​deliveryTime\n\n</td><td>\n\nRequired. Delivery time of the workplace service item or extra service.\n\nData type: String\n\nFormat: UTC - yyyy-mm-ddThh:mm:ssZ, such as 2021-02-05T18:00:00Z\n\n</td></tr><tr><td>\n\nserviceCategories.flexibleServices.​extraServiceRequestId\n\n</td><td>\n\nSys\\_id of the existing extra service request. Provide this parameter to update an existing extra service request.Data type: String\n\nTable: Request Service Items \\[sn\\_wsd\\_case\\_service\\_item\\_request\\]\n\n</td></tr><tr><td>\n\nserviceCategories.flexibleServices.​flexibleServiceId\n\n</td><td>\n\nRequired. Sys\\_id of the extra service or workplace service item.Data type: String\n\nTable: Workplace Service Item \\[sn\\_wsd\\_case\\_workplace\\_service\\_item\\]\n\n</td></tr><tr><td>\n\nserviceCategories.flexibleServices.​quantity\n\n</td><td>\n\nRequired. Number of extra service items requested.\n\nData type: Number\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-reserv-entry\">\n\nData format of the request body. Supported types: **application/json**, **application/xml** or, **text/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td id=\"content_type-JSON-only-entry-RESTAPI\">\n\nData format of the request body. Only supports **application/json**.\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nReturn results for the request.Data type: Object\n\n```\n\"result\": {\n  \"extraServiceRequests\": [Array],\n  \"reservableId\": \"String\",\n  \"reservationId\": \"String\",\n  \"success\": Boolean\n}\n```\n\n</td></tr><tr><td>\n\nresult.extraServiceRequests\n\n</td><td>\n\nDetails about the added or cancelled extra service request.Data type: Array of Object\n\n```\n\"extraServiceRequests\": [\n  {\n    \"flexibleServiceId\": \"String\",\n    \"requestId\": \"String\"\n    }\n]\n```\n\n</td></tr><tr><td>\n\nresult.extraServiceRequests.flexibleServiceId\n\n</td><td>\n\nSys\\_id of the extra service item request that was added to the reservation.Data type: String\n\nTable: Workplace Service Item \\[sn\\_wsd\\_case\\_workplace\\_service\\_item\\]\n\n</td></tr><tr><td>\n\nresult.extraServiceRequests.requestId\n\n</td><td>\n\nSys\\_id of the extra service item that was added to the request.Data type: String\n\nTable: Request Service Items \\[sn\\_wsd\\_case\\_service\\_item\\_request\\]\n\n</td></tr><tr><td>\n\nresult.reservableId\n\n</td><td>\n\nSys\\_id of the workplace location that the reservation is created against.\n\nData type: String\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_workplace\\_location\\]\n\n</td></tr><tr><td>\n\nresult.reservationId\n\n</td><td>\n\nSys\\_id of the reservation for which the extra service request was added.Data type: String\n\nTable: Workplace Reservation \\[sn\\_wsd\\_rsv\\_reservation\\]\n\n</td></tr><tr><td>\n\nresult.success\n\n</td><td>\n\nFlag that indicates whether the extra service request was successfully added to the reservation.Possible values:\n\n-   true: Successfully added.\n-   false: Operation failed.\n\nData type: Boolean\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to add an extra service item request to a reservation.\n\n```\ncurl \"http://instance.servicenow.com/api/sn_wsd_rsv/wsd_extra_service_request/submit\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Concept-Type:application/json\" \\\n--user 'username':'password'\n```\n\nReturn results:\n\n```\n{\n  \"result\": {\n    \"reservationId\": \"2dc2efdf531701103cf7ddeeff7b1227\",\n    \"reservableId\": \"02000d4edb7650106c731dcd13961914\",\n    \"extraServiceRequests\": [\n      {\n        \"requestId\": \"bea46dbc53e701103cf7ddeeff7b1236\",\n        \"flexibleServiceId\": \"e2ecf7b307500110c9b36b6e0ad30033\"\n      }\n],\n    \"success\": true\n  }\n}\n```\n\n"}}